#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "popupwidget.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    QObject::connect(ui->testButton, &QPushButton::clicked, this, &MainWindow::onButtonClicked);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::onButtonClicked()
{
    auto popupidget = new PopupWidget(this->window());
    popupidget->setWindowFlags(Qt::Window | Qt::FramelessWindowHint | Qt::Tool);
    popupidget->setAttribute(Qt::WA_TranslucentBackground);

    popupidget->show();
    popupidget->setFocus(Qt::TabFocusReason);
    popupidget->activateWindow();
}

