#include "popupwidget.h"
#include "ui_popupwidget.h"

#include <QScreen>
#include <QDebug>

PopupWidget::PopupWidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::PopupWidget)
{
    ui->setupUi(this);
    setFocusProxy(ui->pushButton);
    QObject::connect(ui->closeButton, &QPushButton::clicked, this, &PopupWidget::closePopupWidget);
    qDebug() << "DPI: " << QGuiApplication::primaryScreen()->devicePixelRatio();
}

PopupWidget::~PopupWidget()
{
    delete ui;
}

void PopupWidget::closePopupWidget()
{
    hide();
    deleteLater();
}
